#############################################################################
# Makefile for building: ZT
# Generated by qmake (2.01a) (Qt 4.8.3) on: Tue Mar 25 07:58:00 2014
# Project:  ZT.pro
# Template: app
# Command: /usr/local/Trolltech/Qt-4.8.3/bin/qmake -spec /usr/local/Trolltech/Qt-4.8.3/mkspecs/linux-g++ CONFIG+=release -o Makefile ZT.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -D_TTY_POSIX_ -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/local/Trolltech/Qt-4.8.3/mkspecs/linux-g++ -I. -I/usr/local/Trolltech/Qt-4.8.3/include/QtCore -I/usr/local/Trolltech/Qt-4.8.3/include/QtGui -I/usr/local/Trolltech/Qt-4.8.3/include -I. -ISeaMaxLinux -Isources/ExtModules -Isources -Isources/Stations -Isources/PCIIO -Isources/GuiElements -Isources/SerialPort -Isources/Simulator -Isources/QCustomPlot -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/local/Trolltech/Qt-4.8.3/lib
LIBS          = $(SUBLIBS)  -L/usr/local/Trolltech/Qt-4.8.3/lib /usr/local/lib/libseamax.a -lcomedi /home/zonetest/DevZT/ZT/sources/SerialPort/libqextserialport.a -lQtGui -L/usr/local/Trolltech/Qt-4.8.3/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/local/Trolltech/Qt-4.8.3/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = sources/main.cpp \
		sources/MainPanel.cpp \
		sources/Station.cpp \
		sources/ZTconfigmgr.cpp \
		sources/Zonetest.cpp \
		sources/EngLog.cpp \
		sources/GuiElements/GuiPage.cpp \
		sources/GuiElements/WelcomePage.cpp \
		sources/GuiElements/SimpleTextBoxWidget.cpp \
		sources/Stations/Angrignon.cpp \
		sources/Stations/HonoreBeaugrand.cpp \
		sources/Stations/HenriBourassa.cpp \
		sources/Stations/CoteVertu.cpp \
		sources/Stations/BerriUQAM.cpp \
		sources/Stations/Longueuil.cpp \
		sources/Stations/SaintMichel.cpp \
		sources/Stations/Snowdon.cpp \
		sources/Stations/Montmorency.cpp \
		sources/GuiElements/ZTPage.cpp \
		sources/LazerProbe.cpp \
		sources/LazerProbesMgr.cpp \
		sources/ZTLog.cpp \
		sources/GuiElements/PushButton.cpp \
		sources/ZTStateMachine.cpp \
		sources/ZTData.cpp \
		sources/Simulator/ZTSimulator.cpp \
		sources/GuiElements/CDVItem.cpp \
		sources/IOManager.cpp \
		sources/IOModule.cpp \
		sources/InputModule.cpp \
		sources/OutputModule.cpp \
		sources/MixedModule.cpp \
		sources/Simulator/SimulatorIOManager.cpp \
		sources/Simulator/SimulatorInputModule.cpp \
		sources/Simulator/SImulatorOutputModule.cpp \
		sources/Simulator/SimulatorMixedModule.cpp \
		sources/CDV.cpp \
		sources/AbstractLazerProbeMgr.cpp \
		sources/AbstractLazerProbe.cpp \
		sources/Simulator/SimulatorLazerProbe.cpp \
		sources/Simulator/SimulatorLazerProbesMgr.cpp \
		sources/PCIIOMgr.cpp \
		sources/Simulator/SimulatorPCIIO.cpp \
		sources/GuiElements/ToggleTextButtonWidget.cpp \
		sources/GuiElements/TextButtonWidget.cpp \
		sources/ZT1AnalysisThread.cpp \
		sources/GuiElements/StatusBar.cpp \
		sources/GuiElements/ZT1EquipmentWidget.cpp \
		sources/GuiElements/ZT1StatsZone.cpp \
		sources/Simulator/SimulationScenario.cpp \
		sources/GuiElements/OptionsPage.cpp \
		sources/GuiElements/FunctionSelectionPage.cpp \
		sources/GuiElements/ToggleButtonWidget.cpp \
		sources/GuiElements/EventsBar.cpp \
		sources/GuiElements/EventItem.cpp \
		sources/Event.cpp \
		sources/EventMgr.cpp \
		sources/TrainLogFileMgr.cpp \
		sources/LogMgr.cpp \
		sources/GuiElements/LogsListPage.cpp \
		sources/GuiElements/LogViewPage.cpp \
		sources/GuiElements/GraphItem.cpp \
		sources/GuiElements/GraphCursorWidget.cpp \
		sources/GuiElements/GraphRulerWidget.cpp \
		sources/GuiElements/AnalogGraphItem.cpp \
		sources/ZTSettings.cpp \
		sources/GuiElements/ZT2EquipmentWidget.cpp \
		sources/ZT2AnalysisThread.cpp \
		sources/GuiElements/ZT2StatsZone.cpp \
		sources/TKGenerator.cpp \
		sources/GuiElements/LedWidget.cpp \
		sources/GuiElements/RankRulerWidget.cpp \
		sources/GuiElements/EngineeringPage.cpp \
		sources/GuiElements/PasswordPrompt.cpp \
		sources/GuiElements/EventsRulerWidget.cpp \
		sources/USBDriveInterface.cpp \
		sources/GuiElements/MaintenancePage.cpp \
		sources/Simulator/SimulatorThread.cpp \
		sources/GuiElements/GeneralSettingsPage.cpp \
		sources/GuiElements/ONOFFStatusWidget.cpp \
		sources/GuiElements/ZTLogViewerPage.cpp \
		sources/SwitchCDV.cpp \
		sources/GuiElements/SwitchCDVItem.cpp \
		sources/RamMonitor.cpp \
		sources/ExtModules/Externaliomodule.cpp \
		sources/ExtModules/Seaio430driver.cpp \
		sources/ExtModules/Seaio440driver.cpp \
		sources/ExtModules/Seaio470driver.cpp \
		sources/ExtModules/Seaiolibinterface.cpp \
		sources/PCIIO/Comedilibinterface.cpp \
		sources/ExtModules/ExternalIOMgr.cpp moc_MainPanel.cpp \
		moc_Zonetest.cpp \
		moc_Guipage.cpp \
		moc_WelcomePage.cpp \
		moc_SimpleTextBoxWidget.cpp \
		moc_ZTPage.cpp \
		moc_LazerProbe.cpp \
		moc_LazerProbesMgr.cpp \
		moc_PushButton.cpp \
		moc_ZTStateMachine.cpp \
		moc_ZTSimulator.cpp \
		moc_CDVItem.cpp \
		moc_SimulatorLazerProbe.cpp \
		moc_ToggleTextButtonWidget.cpp \
		moc_TextButtonWidget.cpp \
		moc_ZT1AnalysisThread.cpp \
		moc_StatusBar.cpp \
		moc_ZT1EquipmentWidget.cpp \
		moc_ZT1StatsZone.cpp \
		moc_SimulationScenario.cpp \
		moc_OptionsPage.cpp \
		moc_FunctionSelectionPage.cpp \
		moc_ToggleButtonWidget.cpp \
		moc_EventsBar.cpp \
		moc_EventItem.cpp \
		moc_LogsListPage.cpp \
		moc_LogViewPage.cpp \
		moc_GraphItem.cpp \
		moc_GraphCursorWidget.cpp \
		moc_GraphRulerWidget.cpp \
		moc_AnalogGraphItem.cpp \
		moc_ZT2EquipmentWidget.cpp \
		moc_ZT2AnalysisThread.cpp \
		moc_ZT2StatsZone.cpp \
		moc_TKGenerator.cpp \
		moc_LedWidget.cpp \
		moc_RankRulerWidget.cpp \
		moc_EngineeringPage.cpp \
		moc_PasswordPrompt.cpp \
		moc_EventsRulerWidget.cpp \
		moc_USBDriveInterface.cpp \
		moc_MaintenancePage.cpp \
		moc_SimulatorThread.cpp \
		moc_GeneralSettingsPage.cpp \
		moc_ONOFFStatusWidget.cpp \
		moc_ZTLogViewerPage.cpp \
		moc_SwitchCDVItem.cpp \
		moc_RamMonitor.cpp
OBJECTS       = main.o \
		MainPanel.o \
		Station.o \
		ZTconfigmgr.o \
		Zonetest.o \
		EngLog.o \
		GuiPage.o \
		WelcomePage.o \
		SimpleTextBoxWidget.o \
		Angrignon.o \
		HonoreBeaugrand.o \
		HenriBourassa.o \
		CoteVertu.o \
		BerriUQAM.o \
		Longueuil.o \
		SaintMichel.o \
		Snowdon.o \
		Montmorency.o \
		ZTPage.o \
		LazerProbe.o \
		LazerProbesMgr.o \
		ZTLog.o \
		PushButton.o \
		ZTStateMachine.o \
		ZTData.o \
		ZTSimulator.o \
		CDVItem.o \
		IOManager.o \
		IOModule.o \
		InputModule.o \
		OutputModule.o \
		MixedModule.o \
		SimulatorIOManager.o \
		SimulatorInputModule.o \
		SImulatorOutputModule.o \
		SimulatorMixedModule.o \
		CDV.o \
		AbstractLazerProbeMgr.o \
		AbstractLazerProbe.o \
		SimulatorLazerProbe.o \
		SimulatorLazerProbesMgr.o \
		PCIIOMgr.o \
		SimulatorPCIIO.o \
		ToggleTextButtonWidget.o \
		TextButtonWidget.o \
		ZT1AnalysisThread.o \
		StatusBar.o \
		ZT1EquipmentWidget.o \
		ZT1StatsZone.o \
		SimulationScenario.o \
		OptionsPage.o \
		FunctionSelectionPage.o \
		ToggleButtonWidget.o \
		EventsBar.o \
		EventItem.o \
		Event.o \
		EventMgr.o \
		TrainLogFileMgr.o \
		LogMgr.o \
		LogsListPage.o \
		LogViewPage.o \
		GraphItem.o \
		GraphCursorWidget.o \
		GraphRulerWidget.o \
		AnalogGraphItem.o \
		ZTSettings.o \
		ZT2EquipmentWidget.o \
		ZT2AnalysisThread.o \
		ZT2StatsZone.o \
		TKGenerator.o \
		LedWidget.o \
		RankRulerWidget.o \
		EngineeringPage.o \
		PasswordPrompt.o \
		EventsRulerWidget.o \
		USBDriveInterface.o \
		MaintenancePage.o \
		SimulatorThread.o \
		GeneralSettingsPage.o \
		ONOFFStatusWidget.o \
		ZTLogViewerPage.o \
		SwitchCDV.o \
		SwitchCDVItem.o \
		RamMonitor.o \
		Externaliomodule.o \
		Seaio430driver.o \
		Seaio440driver.o \
		Seaio470driver.o \
		Seaiolibinterface.o \
		Comedilibinterface.o \
		ExternalIOMgr.o \
		moc_MainPanel.o \
		moc_Zonetest.o \
		moc_Guipage.o \
		moc_WelcomePage.o \
		moc_SimpleTextBoxWidget.o \
		moc_ZTPage.o \
		moc_LazerProbe.o \
		moc_LazerProbesMgr.o \
		moc_PushButton.o \
		moc_ZTStateMachine.o \
		moc_ZTSimulator.o \
		moc_CDVItem.o \
		moc_SimulatorLazerProbe.o \
		moc_ToggleTextButtonWidget.o \
		moc_TextButtonWidget.o \
		moc_ZT1AnalysisThread.o \
		moc_StatusBar.o \
		moc_ZT1EquipmentWidget.o \
		moc_ZT1StatsZone.o \
		moc_SimulationScenario.o \
		moc_OptionsPage.o \
		moc_FunctionSelectionPage.o \
		moc_ToggleButtonWidget.o \
		moc_EventsBar.o \
		moc_EventItem.o \
		moc_LogsListPage.o \
		moc_LogViewPage.o \
		moc_GraphItem.o \
		moc_GraphCursorWidget.o \
		moc_GraphRulerWidget.o \
		moc_AnalogGraphItem.o \
		moc_ZT2EquipmentWidget.o \
		moc_ZT2AnalysisThread.o \
		moc_ZT2StatsZone.o \
		moc_TKGenerator.o \
		moc_LedWidget.o \
		moc_RankRulerWidget.o \
		moc_EngineeringPage.o \
		moc_PasswordPrompt.o \
		moc_EventsRulerWidget.o \
		moc_USBDriveInterface.o \
		moc_MaintenancePage.o \
		moc_SimulatorThread.o \
		moc_GeneralSettingsPage.o \
		moc_ONOFFStatusWidget.o \
		moc_ZTLogViewerPage.o \
		moc_SwitchCDVItem.o \
		moc_RamMonitor.o
DIST          = /usr/local/Trolltech/Qt-4.8.3/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/linux.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/gcc-base.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/gcc-base-unix.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/g++-base.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/g++-unix.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/modules/qt_webkit_version.pri \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/yacc.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/lex.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/include_source_dir.prf \
		ZT.pro
QMAKE_TARGET  = ZT
DESTDIR       = 
TARGET        = ZT

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ZT.pro  /usr/local/Trolltech/Qt-4.8.3/mkspecs/linux-g++/qmake.conf /usr/local/Trolltech/Qt-4.8.3/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/linux.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/gcc-base.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/gcc-base-unix.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/g++-base.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/g++-unix.conf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/modules/qt_webkit_version.pri \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/yacc.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/lex.prf \
		/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/include_source_dir.prf \
		/usr/local/Trolltech/Qt-4.8.3/lib/libQtGui.prl \
		/usr/local/Trolltech/Qt-4.8.3/lib/libQtCore.prl
	$(QMAKE) -spec /usr/local/Trolltech/Qt-4.8.3/mkspecs/linux-g++ CONFIG+=release -o Makefile ZT.pro
/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/unix.conf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/linux.conf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/gcc-base.conf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/gcc-base-unix.conf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/g++-base.conf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/common/g++-unix.conf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/qconfig.pri:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/modules/qt_webkit_version.pri:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt_functions.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt_config.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/exclusive_builds.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/default_pre.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/release.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/default_post.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/warn_on.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/qt.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/unix/thread.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/moc.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/resources.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/uic.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/yacc.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/lex.prf:
/usr/local/Trolltech/Qt-4.8.3/mkspecs/features/include_source_dir.prf:
/usr/local/Trolltech/Qt-4.8.3/lib/libQtGui.prl:
/usr/local/Trolltech/Qt-4.8.3/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/local/Trolltech/Qt-4.8.3/mkspecs/linux-g++ CONFIG+=release -o Makefile ZT.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/ZT1.0.0 || $(MKDIR) .tmp/ZT1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/ZT1.0.0/ && $(COPY_FILE) --parents sources/MainPanel.h sources/GlobalDefine.h sources/Station.h sources/ExtModules/Externaliomodule.h sources/ExtModules/Seaio430driver.h sources/ExtModules/Seaio440driver.h sources/ExtModules/Seaio470driver.h sources/ZTconfigmgr.h sources/Zonetest.h sources/ExtModules/Seaiolibinterface.h sources/PCIIO/Comedilibinterface.h sources/PCIIO/PCI1756Definitions.h sources/EngLog.h sources/GuiElements/Guipage.h sources/GuiElements/WelcomePage.h sources/GuiElements/SimpleTextBoxWidget.h sources/Stations/Angrignon.h sources/Stations/HonoreBeaugrand.h sources/Stations/HenriBourassa.h sources/Stations/CoteVertu.h sources/Stations/BerriUQAM.h sources/Stations/Longueuil.h sources/Stations/SaintMichel.h sources/Stations/Snowdon.h sources/Stations/Montmorency.h sources/GuiElements/ZTPage.h sources/LazerProbe.h sources/LazerProbesMgr.h sources/ZTLog.h sources/GuiElements/PushButton.h sources/ZTStateMachine.h sources/ZTData.h sources/Simulator/ZTSimulator.h sources/GuiElements/CDVItem.h sources/ExtModules/ExternalIOMgr.h sources/IOManager.h sources/IOModule.h sources/InputModule.h sources/OutputModule.h sources/MixedModule.h sources/Simulator/SimulatorIOManager.h sources/Simulator/SimulatorInputModule.h sources/Simulator/SImulatorOutputModule.h sources/Simulator/SimulatorMixedModule.h sources/CDV.h sources/AbstractLazerProbeMgr.h sources/AbstractLazerProbe.h sources/Simulator/SimulatorLazerProbe.h sources/Simulator/SimulatorLazerProbesMgr.h sources/PCIIOMgr.h sources/Simulator/SimulatorPCIIO.h sources/GuiElements/ToggleTextButtonWidget.h sources/GuiElements/TextButtonWidget.h sources/ZT1AnalysisThread.h sources/GuiElements/StatusBar.h sources/GuiElements/ZT1EquipmentWidget.h sources/GuiElements/ZT1StatsZone.h sources/Simulator/SimulationScenario.h sources/GuiElements/OptionsPage.h sources/GuiElements/FunctionSelectionPage.h sources/GuiElements/ToggleButtonWidget.h sources/GuiElements/EventsBar.h sources/GuiElements/EventItem.h sources/Event.h sources/EventMgr.h sources/TrainLogFileMgr.h sources/LogMgr.h sources/GuiElements/LogsListPage.h sources/GuiElements/LogViewPage.h sources/GuiElements/GraphItem.h sources/GuiElements/GraphCursorWidget.h sources/GuiElements/GraphRulerWidget.h sources/GuiElements/AnalogGraphItem.h sources/ZTSettings.h sources/GuiElements/ZT2EquipmentWidget.h sources/ZT2AnalysisThread.h sources/GuiElements/ZT2StatsZone.h sources/TKGenerator.h sources/GuiElements/LedWidget.h sources/GuiElements/RankRulerWidget.h sources/GuiElements/EngineeringPage.h sources/GuiElements/PasswordPrompt.h sources/GuiElements/EventsRulerWidget.h sources/USBDriveInterface.h sources/GuiElements/MaintenancePage.h sources/Simulator/SimulatorThread.h sources/GuiElements/GeneralSettingsPage.h sources/ZTVersion.h sources/GuiElements/ONOFFStatusWidget.h sources/GuiElements/ZTLogViewerPage.h sources/SwitchCDV.h sources/GuiElements/SwitchCDVItem.h sources/RamMonitor.h .tmp/ZT1.0.0/ && $(COPY_FILE) --parents sources/main.cpp sources/MainPanel.cpp sources/Station.cpp sources/ZTconfigmgr.cpp sources/Zonetest.cpp sources/EngLog.cpp sources/GuiElements/GuiPage.cpp sources/GuiElements/WelcomePage.cpp sources/GuiElements/SimpleTextBoxWidget.cpp sources/Stations/Angrignon.cpp sources/Stations/HonoreBeaugrand.cpp sources/Stations/HenriBourassa.cpp sources/Stations/CoteVertu.cpp sources/Stations/BerriUQAM.cpp sources/Stations/Longueuil.cpp sources/Stations/SaintMichel.cpp sources/Stations/Snowdon.cpp sources/Stations/Montmorency.cpp sources/GuiElements/ZTPage.cpp sources/LazerProbe.cpp sources/LazerProbesMgr.cpp sources/ZTLog.cpp sources/GuiElements/PushButton.cpp sources/ZTStateMachine.cpp sources/ZTData.cpp sources/Simulator/ZTSimulator.cpp sources/GuiElements/CDVItem.cpp sources/IOManager.cpp sources/IOModule.cpp sources/InputModule.cpp sources/OutputModule.cpp sources/MixedModule.cpp sources/Simulator/SimulatorIOManager.cpp sources/Simulator/SimulatorInputModule.cpp sources/Simulator/SImulatorOutputModule.cpp sources/Simulator/SimulatorMixedModule.cpp sources/CDV.cpp sources/AbstractLazerProbeMgr.cpp sources/AbstractLazerProbe.cpp sources/Simulator/SimulatorLazerProbe.cpp sources/Simulator/SimulatorLazerProbesMgr.cpp sources/PCIIOMgr.cpp sources/Simulator/SimulatorPCIIO.cpp sources/GuiElements/ToggleTextButtonWidget.cpp sources/GuiElements/TextButtonWidget.cpp sources/ZT1AnalysisThread.cpp sources/GuiElements/StatusBar.cpp sources/GuiElements/ZT1EquipmentWidget.cpp sources/GuiElements/ZT1StatsZone.cpp sources/Simulator/SimulationScenario.cpp sources/GuiElements/OptionsPage.cpp sources/GuiElements/FunctionSelectionPage.cpp sources/GuiElements/ToggleButtonWidget.cpp sources/GuiElements/EventsBar.cpp sources/GuiElements/EventItem.cpp sources/Event.cpp sources/EventMgr.cpp sources/TrainLogFileMgr.cpp sources/LogMgr.cpp sources/GuiElements/LogsListPage.cpp sources/GuiElements/LogViewPage.cpp sources/GuiElements/GraphItem.cpp sources/GuiElements/GraphCursorWidget.cpp sources/GuiElements/GraphRulerWidget.cpp sources/GuiElements/AnalogGraphItem.cpp sources/ZTSettings.cpp sources/GuiElements/ZT2EquipmentWidget.cpp sources/ZT2AnalysisThread.cpp sources/GuiElements/ZT2StatsZone.cpp sources/TKGenerator.cpp sources/GuiElements/LedWidget.cpp sources/GuiElements/RankRulerWidget.cpp sources/GuiElements/EngineeringPage.cpp sources/GuiElements/PasswordPrompt.cpp sources/GuiElements/EventsRulerWidget.cpp sources/USBDriveInterface.cpp sources/GuiElements/MaintenancePage.cpp sources/Simulator/SimulatorThread.cpp sources/GuiElements/GeneralSettingsPage.cpp sources/GuiElements/ONOFFStatusWidget.cpp sources/GuiElements/ZTLogViewerPage.cpp sources/SwitchCDV.cpp sources/GuiElements/SwitchCDVItem.cpp sources/RamMonitor.cpp sources/ExtModules/Externaliomodule.cpp sources/ExtModules/Seaio430driver.cpp sources/ExtModules/Seaio440driver.cpp sources/ExtModules/Seaio470driver.cpp sources/ExtModules/Seaiolibinterface.cpp sources/PCIIO/Comedilibinterface.cpp sources/ExtModules/ExternalIOMgr.cpp .tmp/ZT1.0.0/ && (cd `dirname .tmp/ZT1.0.0` && $(TAR) ZT1.0.0.tar ZT1.0.0 && $(COMPRESS) ZT1.0.0.tar) && $(MOVE) `dirname .tmp/ZT1.0.0`/ZT1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/ZT1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_MainPanel.cpp moc_Zonetest.cpp moc_Guipage.cpp moc_WelcomePage.cpp moc_SimpleTextBoxWidget.cpp moc_ZTPage.cpp moc_LazerProbe.cpp moc_LazerProbesMgr.cpp moc_PushButton.cpp moc_ZTStateMachine.cpp moc_ZTSimulator.cpp moc_CDVItem.cpp moc_SimulatorLazerProbe.cpp moc_ToggleTextButtonWidget.cpp moc_TextButtonWidget.cpp moc_ZT1AnalysisThread.cpp moc_StatusBar.cpp moc_ZT1EquipmentWidget.cpp moc_ZT1StatsZone.cpp moc_SimulationScenario.cpp moc_OptionsPage.cpp moc_FunctionSelectionPage.cpp moc_ToggleButtonWidget.cpp moc_EventsBar.cpp moc_EventItem.cpp moc_LogsListPage.cpp moc_LogViewPage.cpp moc_GraphItem.cpp moc_GraphCursorWidget.cpp moc_GraphRulerWidget.cpp moc_AnalogGraphItem.cpp moc_ZT2EquipmentWidget.cpp moc_ZT2AnalysisThread.cpp moc_ZT2StatsZone.cpp moc_TKGenerator.cpp moc_LedWidget.cpp moc_RankRulerWidget.cpp moc_EngineeringPage.cpp moc_PasswordPrompt.cpp moc_EventsRulerWidget.cpp moc_USBDriveInterface.cpp moc_MaintenancePage.cpp moc_SimulatorThread.cpp moc_GeneralSettingsPage.cpp moc_ONOFFStatusWidget.cpp moc_ZTLogViewerPage.cpp moc_SwitchCDVItem.cpp moc_RamMonitor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_MainPanel.cpp moc_Zonetest.cpp moc_Guipage.cpp moc_WelcomePage.cpp moc_SimpleTextBoxWidget.cpp moc_ZTPage.cpp moc_LazerProbe.cpp moc_LazerProbesMgr.cpp moc_PushButton.cpp moc_ZTStateMachine.cpp moc_ZTSimulator.cpp moc_CDVItem.cpp moc_SimulatorLazerProbe.cpp moc_ToggleTextButtonWidget.cpp moc_TextButtonWidget.cpp moc_ZT1AnalysisThread.cpp moc_StatusBar.cpp moc_ZT1EquipmentWidget.cpp moc_ZT1StatsZone.cpp moc_SimulationScenario.cpp moc_OptionsPage.cpp moc_FunctionSelectionPage.cpp moc_ToggleButtonWidget.cpp moc_EventsBar.cpp moc_EventItem.cpp moc_LogsListPage.cpp moc_LogViewPage.cpp moc_GraphItem.cpp moc_GraphCursorWidget.cpp moc_GraphRulerWidget.cpp moc_AnalogGraphItem.cpp moc_ZT2EquipmentWidget.cpp moc_ZT2AnalysisThread.cpp moc_ZT2StatsZone.cpp moc_TKGenerator.cpp moc_LedWidget.cpp moc_RankRulerWidget.cpp moc_EngineeringPage.cpp moc_PasswordPrompt.cpp moc_EventsRulerWidget.cpp moc_USBDriveInterface.cpp moc_MaintenancePage.cpp moc_SimulatorThread.cpp moc_GeneralSettingsPage.cpp moc_ONOFFStatusWidget.cpp moc_ZTLogViewerPage.cpp moc_SwitchCDVItem.cpp moc_RamMonitor.cpp
moc_MainPanel.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/MainPanel.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/MainPanel.h -o moc_MainPanel.cpp

moc_Zonetest.cpp: sources/MainPanel.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/ZTStateMachine.h \
		sources/PCIIOMgr.h \
		sources/ZT1AnalysisThread.h \
		sources/ZT2AnalysisThread.h \
		sources/TKGenerator.h \
		sources/LogMgr.h \
		sources/EventMgr.h \
		sources/Event.h \
		sources/ZTSettings.h \
		sources/USBDriveInterface.h \
		sources/Zonetest.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/Zonetest.h -o moc_Zonetest.cpp

moc_Guipage.cpp: sources/GuiElements/Guipage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/Guipage.h -o moc_Guipage.cpp

moc_WelcomePage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/SimpleTextBoxWidget.h \
		sources/GuiElements/WelcomePage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/WelcomePage.h -o moc_WelcomePage.cpp

moc_SimpleTextBoxWidget.cpp: sources/GuiElements/SimpleTextBoxWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/SimpleTextBoxWidget.h -o moc_SimpleTextBoxWidget.cpp

moc_ZTPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/CDVItem.h \
		sources/GuiElements/StatusBar.h \
		sources/GuiElements/ZT1EquipmentWidget.h \
		sources/GuiElements/ZT1StatsZone.h \
		sources/GuiElements/EventsBar.h \
		sources/GuiElements/EventItem.h \
		sources/GuiElements/ZT2EquipmentWidget.h \
		sources/GuiElements/ZT2StatsZone.h \
		sources/GuiElements/PasswordPrompt.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/ZTPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ZTPage.h -o moc_ZTPage.cpp

moc_LazerProbe.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/AbstractLazerProbe.h \
		sources/LazerProbe.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/LazerProbe.h -o moc_LazerProbe.cpp

moc_LazerProbesMgr.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/LazerProbesMgr.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/LazerProbesMgr.h -o moc_LazerProbesMgr.cpp

moc_PushButton.cpp: sources/GuiElements/PushButton.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/PushButton.h -o moc_PushButton.cpp

moc_ZTStateMachine.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZTData.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/PCIIOMgr.h \
		sources/ZT1AnalysisThread.h \
		sources/ZT2AnalysisThread.h \
		sources/TKGenerator.h \
		sources/LogMgr.h \
		sources/ZTStateMachine.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/ZTStateMachine.h -o moc_ZTStateMachine.cpp

moc_ZTSimulator.cpp: sources/Simulator/SimulatorIOManager.h \
		sources/Simulator/SimulatorInputModule.h \
		sources/Simulator/SImulatorOutputModule.h \
		sources/Simulator/SimulatorMixedModule.h \
		sources/Simulator/SimulatorLazerProbesMgr.h \
		sources/Simulator/SimulatorLazerProbe.h \
		sources/Simulator/SimulatorPCIIO.h \
		sources/Simulator/SimulationScenario.h \
		sources/Simulator/SimulatorThread.h \
		sources/Simulator/ZTSimulator.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/Simulator/ZTSimulator.h -o moc_ZTSimulator.cpp

moc_CDVItem.cpp: sources/GuiElements/CDVItem.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/CDVItem.h -o moc_CDVItem.cpp

moc_SimulatorLazerProbe.cpp: sources/Simulator/SimulatorLazerProbe.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/Simulator/SimulatorLazerProbe.h -o moc_SimulatorLazerProbe.cpp

moc_ToggleTextButtonWidget.cpp: sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/ToggleTextButtonWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ToggleTextButtonWidget.h -o moc_ToggleTextButtonWidget.cpp

moc_TextButtonWidget.cpp: sources/GuiElements/TextButtonWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/TextButtonWidget.h -o moc_TextButtonWidget.cpp

moc_ZT1AnalysisThread.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/ZT1AnalysisThread.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/ZT1AnalysisThread.h -o moc_ZT1AnalysisThread.cpp

moc_StatusBar.cpp: sources/GuiElements/StatusBar.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/StatusBar.h -o moc_StatusBar.cpp

moc_ZT1EquipmentWidget.cpp: sources/GuiElements/ZT1EquipmentWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ZT1EquipmentWidget.h -o moc_ZT1EquipmentWidget.cpp

moc_ZT1StatsZone.cpp: sources/GuiElements/ZT1StatsZone.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ZT1StatsZone.h -o moc_ZT1StatsZone.cpp

moc_SimulationScenario.cpp: sources/Simulator/SimulationScenario.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/Simulator/SimulationScenario.h -o moc_SimulationScenario.cpp

moc_OptionsPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/OptionsPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/OptionsPage.h -o moc_OptionsPage.cpp

moc_FunctionSelectionPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/ToggleButtonWidget.h \
		sources/GuiElements/FunctionSelectionPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/FunctionSelectionPage.h -o moc_FunctionSelectionPage.cpp

moc_ToggleButtonWidget.cpp: sources/GuiElements/ToggleButtonWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ToggleButtonWidget.h -o moc_ToggleButtonWidget.cpp

moc_EventsBar.cpp: sources/GuiElements/EventItem.h \
		sources/GuiElements/EventsBar.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/EventsBar.h -o moc_EventsBar.cpp

moc_EventItem.cpp: sources/GuiElements/EventItem.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/EventItem.h -o moc_EventItem.cpp

moc_LogsListPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/LogsListPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/LogsListPage.h -o moc_LogsListPage.cpp

moc_LogViewPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/GraphItem.h \
		sources/GuiElements/GraphCursorWidget.h \
		sources/GuiElements/GraphRulerWidget.h \
		sources/GuiElements/AnalogGraphItem.h \
		sources/GuiElements/RankRulerWidget.h \
		sources/GuiElements/EventsRulerWidget.h \
		sources/GuiElements/LogViewPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/LogViewPage.h -o moc_LogViewPage.cpp

moc_GraphItem.cpp: sources/GuiElements/GraphItem.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/GraphItem.h -o moc_GraphItem.cpp

moc_GraphCursorWidget.cpp: sources/GuiElements/GraphCursorWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/GraphCursorWidget.h -o moc_GraphCursorWidget.cpp

moc_GraphRulerWidget.cpp: sources/GuiElements/GraphRulerWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/GraphRulerWidget.h -o moc_GraphRulerWidget.cpp

moc_AnalogGraphItem.cpp: sources/GuiElements/AnalogGraphItem.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/AnalogGraphItem.h -o moc_AnalogGraphItem.cpp

moc_ZT2EquipmentWidget.cpp: sources/GuiElements/ZT2EquipmentWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ZT2EquipmentWidget.h -o moc_ZT2EquipmentWidget.cpp

moc_ZT2AnalysisThread.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/ZT2AnalysisThread.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/ZT2AnalysisThread.h -o moc_ZT2AnalysisThread.cpp

moc_ZT2StatsZone.cpp: sources/GuiElements/ZT2StatsZone.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ZT2StatsZone.h -o moc_ZT2StatsZone.cpp

moc_TKGenerator.cpp: sources/Station.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/TKGenerator.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/TKGenerator.h -o moc_TKGenerator.cpp

moc_LedWidget.cpp: sources/GuiElements/LedWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/LedWidget.h -o moc_LedWidget.cpp

moc_RankRulerWidget.cpp: sources/GuiElements/RankRulerWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/RankRulerWidget.h -o moc_RankRulerWidget.cpp

moc_EngineeringPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/PasswordPrompt.h \
		sources/GuiElements/ToggleButtonWidget.h \
		sources/GuiElements/EngineeringPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/EngineeringPage.h -o moc_EngineeringPage.cpp

moc_PasswordPrompt.cpp: sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/PasswordPrompt.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/PasswordPrompt.h -o moc_PasswordPrompt.cpp

moc_EventsRulerWidget.cpp: sources/GuiElements/EventsRulerWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/EventsRulerWidget.h -o moc_EventsRulerWidget.cpp

moc_USBDriveInterface.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/USBDriveInterface.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/USBDriveInterface.h -o moc_USBDriveInterface.cpp

moc_MaintenancePage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/ToggleButtonWidget.h \
		sources/GuiElements/ONOFFStatusWidget.h \
		sources/GuiElements/MaintenancePage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/MaintenancePage.h -o moc_MaintenancePage.cpp

moc_SimulatorThread.cpp: sources/Simulator/SimulatorInputModule.h \
		sources/Simulator/SImulatorOutputModule.h \
		sources/Simulator/SimulatorPCIIO.h \
		sources/Simulator/SimulatorLazerProbe.h \
		sources/Simulator/SimulatorThread.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/Simulator/SimulatorThread.h -o moc_SimulatorThread.cpp

moc_GeneralSettingsPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/GeneralSettingsPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/GeneralSettingsPage.h -o moc_GeneralSettingsPage.cpp

moc_ONOFFStatusWidget.cpp: sources/GuiElements/ONOFFStatusWidget.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ONOFFStatusWidget.h -o moc_ONOFFStatusWidget.cpp

moc_ZTLogViewerPage.cpp: sources/GuiElements/Guipage.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/ZTLogViewerPage.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/ZTLogViewerPage.h -o moc_ZTLogViewerPage.cpp

moc_SwitchCDVItem.cpp: sources/GuiElements/CDVItem.h \
		sources/GuiElements/SwitchCDVItem.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/GuiElements/SwitchCDVItem.h -o moc_SwitchCDVItem.cpp

moc_RamMonitor.cpp: sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/RamMonitor.h
	/usr/local/Trolltech/Qt-4.8.3/bin/moc $(DEFINES) $(INCPATH) sources/RamMonitor.h -o moc_RamMonitor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: sources/main.cpp sources/Zonetest.h \
		sources/MainPanel.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/ZTStateMachine.h \
		sources/PCIIOMgr.h \
		sources/ZT1AnalysisThread.h \
		sources/ZT2AnalysisThread.h \
		sources/TKGenerator.h \
		sources/LogMgr.h \
		sources/EventMgr.h \
		sources/Event.h \
		sources/ZTSettings.h \
		sources/USBDriveInterface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o sources/main.cpp

MainPanel.o: sources/MainPanel.cpp sources/MainPanel.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZTconfigmgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/LazerProbesMgr.h \
		sources/AbstractLazerProbeMgr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o MainPanel.o sources/MainPanel.cpp

Station.o: sources/Station.cpp sources/Station.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Station.o sources/Station.cpp

ZTconfigmgr.o: sources/ZTconfigmgr.cpp sources/ZTconfigmgr.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/LazerProbesMgr.h \
		sources/AbstractLazerProbeMgr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTconfigmgr.o sources/ZTconfigmgr.cpp

Zonetest.o: sources/Zonetest.cpp sources/Zonetest.h \
		sources/MainPanel.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/ZTStateMachine.h \
		sources/PCIIOMgr.h \
		sources/ZT1AnalysisThread.h \
		sources/ZT2AnalysisThread.h \
		sources/TKGenerator.h \
		sources/LogMgr.h \
		sources/EventMgr.h \
		sources/Event.h \
		sources/ZTSettings.h \
		sources/USBDriveInterface.h \
		sources/ZTconfigmgr.h \
		sources/ZTLog.h \
		sources/RamMonitor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Zonetest.o sources/Zonetest.cpp

EngLog.o: sources/EngLog.cpp sources/EngLog.h \
		sources/GlobalDefine.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o EngLog.o sources/EngLog.cpp

GuiPage.o: sources/GuiElements/GuiPage.cpp sources/GuiElements/Guipage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GuiPage.o sources/GuiElements/GuiPage.cpp

WelcomePage.o: sources/GuiElements/WelcomePage.cpp sources/GuiElements/WelcomePage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/SimpleTextBoxWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o WelcomePage.o sources/GuiElements/WelcomePage.cpp

SimpleTextBoxWidget.o: sources/GuiElements/SimpleTextBoxWidget.cpp sources/GuiElements/SimpleTextBoxWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimpleTextBoxWidget.o sources/GuiElements/SimpleTextBoxWidget.cpp

Angrignon.o: sources/Stations/Angrignon.cpp sources/Stations/Angrignon.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Angrignon.o sources/Stations/Angrignon.cpp

HonoreBeaugrand.o: sources/Stations/HonoreBeaugrand.cpp sources/Stations/HonoreBeaugrand.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o HonoreBeaugrand.o sources/Stations/HonoreBeaugrand.cpp

HenriBourassa.o: sources/Stations/HenriBourassa.cpp sources/Stations/HenriBourassa.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o HenriBourassa.o sources/Stations/HenriBourassa.cpp

CoteVertu.o: sources/Stations/CoteVertu.cpp sources/Stations/CoteVertu.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CoteVertu.o sources/Stations/CoteVertu.cpp

BerriUQAM.o: sources/Stations/BerriUQAM.cpp sources/Stations/BerriUQAM.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o BerriUQAM.o sources/Stations/BerriUQAM.cpp

Longueuil.o: sources/Stations/Longueuil.cpp sources/Stations/Longueuil.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Longueuil.o sources/Stations/Longueuil.cpp

SaintMichel.o: sources/Stations/SaintMichel.cpp sources/Stations/SaintMichel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SaintMichel.o sources/Stations/SaintMichel.cpp

Snowdon.o: sources/Stations/Snowdon.cpp sources/Stations/Snowdon.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Snowdon.o sources/Stations/Snowdon.cpp

Montmorency.o: sources/Stations/Montmorency.cpp sources/Stations/Montmorency.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Montmorency.o sources/Stations/Montmorency.cpp

ZTPage.o: sources/GuiElements/ZTPage.cpp sources/GuiElements/ZTPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/CDVItem.h \
		sources/GuiElements/StatusBar.h \
		sources/GuiElements/ZT1EquipmentWidget.h \
		sources/GuiElements/ZT1StatsZone.h \
		sources/GuiElements/EventsBar.h \
		sources/GuiElements/EventItem.h \
		sources/GuiElements/ZT2EquipmentWidget.h \
		sources/GuiElements/ZT2StatsZone.h \
		sources/GuiElements/PasswordPrompt.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/SwitchCDVItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTPage.o sources/GuiElements/ZTPage.cpp

LazerProbe.o: sources/LazerProbe.cpp sources/LazerProbe.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/AbstractLazerProbe.h \
		sources/LazerProbesMgr.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LazerProbe.o sources/LazerProbe.cpp

LazerProbesMgr.o: sources/LazerProbesMgr.cpp sources/LazerProbesMgr.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTconfigmgr.h \
		sources/ZTLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LazerProbesMgr.o sources/LazerProbesMgr.cpp

ZTLog.o: sources/ZTLog.cpp sources/ZTLog.h \
		sources/GlobalDefine.h \
		sources/EngLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTLog.o sources/ZTLog.cpp

PushButton.o: sources/GuiElements/PushButton.cpp sources/GuiElements/PushButton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o PushButton.o sources/GuiElements/PushButton.cpp

ZTStateMachine.o: sources/ZTStateMachine.cpp sources/ZTStateMachine.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZTData.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/PCIIOMgr.h \
		sources/ZT1AnalysisThread.h \
		sources/ZT2AnalysisThread.h \
		sources/TKGenerator.h \
		sources/LogMgr.h \
		sources/ZTLog.h \
		sources/RamMonitor.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTStateMachine.o sources/ZTStateMachine.cpp

ZTData.o: sources/ZTData.cpp sources/ZTData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTData.o sources/ZTData.cpp

ZTSimulator.o: sources/Simulator/ZTSimulator.cpp sources/Simulator/ZTSimulator.h \
		sources/Simulator/SimulatorIOManager.h \
		sources/Simulator/SimulatorInputModule.h \
		sources/Simulator/SImulatorOutputModule.h \
		sources/Simulator/SimulatorMixedModule.h \
		sources/Simulator/SimulatorLazerProbesMgr.h \
		sources/Simulator/SimulatorLazerProbe.h \
		sources/Simulator/SimulatorPCIIO.h \
		sources/Simulator/SimulationScenario.h \
		sources/Simulator/SimulatorThread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTSimulator.o sources/Simulator/ZTSimulator.cpp

CDVItem.o: sources/GuiElements/CDVItem.cpp sources/GuiElements/CDVItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CDVItem.o sources/GuiElements/CDVItem.cpp

IOManager.o: sources/IOManager.cpp sources/IOManager.h \
		sources/IOModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o IOManager.o sources/IOManager.cpp

IOModule.o: sources/IOModule.cpp sources/IOModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o IOModule.o sources/IOModule.cpp

InputModule.o: sources/InputModule.cpp sources/InputModule.h \
		sources/IOModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o InputModule.o sources/InputModule.cpp

OutputModule.o: sources/OutputModule.cpp sources/OutputModule.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/IOModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o OutputModule.o sources/OutputModule.cpp

MixedModule.o: sources/MixedModule.cpp sources/MixedModule.h \
		sources/IOModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o MixedModule.o sources/MixedModule.cpp

SimulatorIOManager.o: sources/Simulator/SimulatorIOManager.cpp sources/Simulator/SimulatorIOManager.h \
		sources/Simulator/SimulatorInputModule.h \
		sources/Simulator/SImulatorOutputModule.h \
		sources/Simulator/SimulatorMixedModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorIOManager.o sources/Simulator/SimulatorIOManager.cpp

SimulatorInputModule.o: sources/Simulator/SimulatorInputModule.cpp sources/Simulator/SimulatorInputModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorInputModule.o sources/Simulator/SimulatorInputModule.cpp

SImulatorOutputModule.o: sources/Simulator/SImulatorOutputModule.cpp sources/Simulator/SImulatorOutputModule.h \
		sources/Simulator/ZTSimulator.h \
		sources/Simulator/SimulatorIOManager.h \
		sources/Simulator/SimulatorInputModule.h \
		sources/Simulator/SimulatorMixedModule.h \
		sources/Simulator/SimulatorLazerProbesMgr.h \
		sources/Simulator/SimulatorLazerProbe.h \
		sources/Simulator/SimulatorPCIIO.h \
		sources/Simulator/SimulationScenario.h \
		sources/Simulator/SimulatorThread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SImulatorOutputModule.o sources/Simulator/SImulatorOutputModule.cpp

SimulatorMixedModule.o: sources/Simulator/SimulatorMixedModule.cpp sources/Simulator/SimulatorMixedModule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorMixedModule.o sources/Simulator/SimulatorMixedModule.cpp

CDV.o: sources/CDV.cpp sources/CDV.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZTData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o CDV.o sources/CDV.cpp

AbstractLazerProbeMgr.o: sources/AbstractLazerProbeMgr.cpp sources/AbstractLazerProbeMgr.h \
		sources/AbstractLazerProbe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o AbstractLazerProbeMgr.o sources/AbstractLazerProbeMgr.cpp

AbstractLazerProbe.o: sources/AbstractLazerProbe.cpp sources/AbstractLazerProbe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o AbstractLazerProbe.o sources/AbstractLazerProbe.cpp

SimulatorLazerProbe.o: sources/Simulator/SimulatorLazerProbe.cpp sources/Simulator/SimulatorLazerProbe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorLazerProbe.o sources/Simulator/SimulatorLazerProbe.cpp

SimulatorLazerProbesMgr.o: sources/Simulator/SimulatorLazerProbesMgr.cpp sources/Simulator/SimulatorLazerProbesMgr.h \
		sources/Simulator/SimulatorLazerProbe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorLazerProbesMgr.o sources/Simulator/SimulatorLazerProbesMgr.cpp

PCIIOMgr.o: sources/PCIIOMgr.cpp sources/PCIIOMgr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o PCIIOMgr.o sources/PCIIOMgr.cpp

SimulatorPCIIO.o: sources/Simulator/SimulatorPCIIO.cpp sources/Simulator/SimulatorPCIIO.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorPCIIO.o sources/Simulator/SimulatorPCIIO.cpp

ToggleTextButtonWidget.o: sources/GuiElements/ToggleTextButtonWidget.cpp sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ToggleTextButtonWidget.o sources/GuiElements/ToggleTextButtonWidget.cpp

TextButtonWidget.o: sources/GuiElements/TextButtonWidget.cpp sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TextButtonWidget.o sources/GuiElements/TextButtonWidget.cpp

ZT1AnalysisThread.o: sources/ZT1AnalysisThread.cpp sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZT1AnalysisThread.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/PCIIOMgr.h \
		sources/ZTconfigmgr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZT1AnalysisThread.o sources/ZT1AnalysisThread.cpp

StatusBar.o: sources/GuiElements/StatusBar.cpp sources/GuiElements/StatusBar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o StatusBar.o sources/GuiElements/StatusBar.cpp

ZT1EquipmentWidget.o: sources/GuiElements/ZT1EquipmentWidget.cpp sources/GuiElements/ZT1EquipmentWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZT1EquipmentWidget.o sources/GuiElements/ZT1EquipmentWidget.cpp

ZT1StatsZone.o: sources/GuiElements/ZT1StatsZone.cpp sources/GuiElements/ZT1StatsZone.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZT1StatsZone.o sources/GuiElements/ZT1StatsZone.cpp

SimulationScenario.o: sources/Simulator/SimulationScenario.cpp sources/Simulator/SimulationScenario.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulationScenario.o sources/Simulator/SimulationScenario.cpp

OptionsPage.o: sources/GuiElements/OptionsPage.cpp sources/GuiElements/OptionsPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o OptionsPage.o sources/GuiElements/OptionsPage.cpp

FunctionSelectionPage.o: sources/GuiElements/FunctionSelectionPage.cpp sources/GuiElements/FunctionSelectionPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/ToggleButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o FunctionSelectionPage.o sources/GuiElements/FunctionSelectionPage.cpp

ToggleButtonWidget.o: sources/GuiElements/ToggleButtonWidget.cpp sources/GuiElements/ToggleButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ToggleButtonWidget.o sources/GuiElements/ToggleButtonWidget.cpp

EventsBar.o: sources/GuiElements/EventsBar.cpp sources/GuiElements/EventsBar.h \
		sources/GuiElements/EventItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o EventsBar.o sources/GuiElements/EventsBar.cpp

EventItem.o: sources/GuiElements/EventItem.cpp sources/GuiElements/EventItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o EventItem.o sources/GuiElements/EventItem.cpp

Event.o: sources/Event.cpp sources/Event.h \
		sources/GlobalDefine.h \
		sources/EngLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Event.o sources/Event.cpp

EventMgr.o: sources/EventMgr.cpp sources/EventMgr.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/Event.h \
		sources/ZTData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o EventMgr.o sources/EventMgr.cpp

TrainLogFileMgr.o: sources/TrainLogFileMgr.cpp sources/TrainLogFileMgr.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZTData.h \
		sources/LogMgr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TrainLogFileMgr.o sources/TrainLogFileMgr.cpp

LogMgr.o: sources/LogMgr.cpp sources/LogMgr.h \
		sources/ZTData.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/TrainLogFileMgr.h \
		sources/ZTLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LogMgr.o sources/LogMgr.cpp

LogsListPage.o: sources/GuiElements/LogsListPage.cpp sources/GuiElements/LogsListPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LogsListPage.o sources/GuiElements/LogsListPage.cpp

LogViewPage.o: sources/GuiElements/LogViewPage.cpp sources/GuiElements/LogViewPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/GraphItem.h \
		sources/GuiElements/GraphCursorWidget.h \
		sources/GuiElements/GraphRulerWidget.h \
		sources/GuiElements/AnalogGraphItem.h \
		sources/GuiElements/RankRulerWidget.h \
		sources/GuiElements/EventsRulerWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LogViewPage.o sources/GuiElements/LogViewPage.cpp

GraphItem.o: sources/GuiElements/GraphItem.cpp sources/GuiElements/GraphItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GraphItem.o sources/GuiElements/GraphItem.cpp

GraphCursorWidget.o: sources/GuiElements/GraphCursorWidget.cpp sources/GuiElements/GraphCursorWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GraphCursorWidget.o sources/GuiElements/GraphCursorWidget.cpp

GraphRulerWidget.o: sources/GuiElements/GraphRulerWidget.cpp sources/GuiElements/GraphRulerWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GraphRulerWidget.o sources/GuiElements/GraphRulerWidget.cpp

AnalogGraphItem.o: sources/GuiElements/AnalogGraphItem.cpp sources/GuiElements/AnalogGraphItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o AnalogGraphItem.o sources/GuiElements/AnalogGraphItem.cpp

ZTSettings.o: sources/ZTSettings.cpp sources/ZTSettings.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZTData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTSettings.o sources/ZTSettings.cpp

ZT2EquipmentWidget.o: sources/GuiElements/ZT2EquipmentWidget.cpp sources/GuiElements/ZT2EquipmentWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZT2EquipmentWidget.o sources/GuiElements/ZT2EquipmentWidget.cpp

ZT2AnalysisThread.o: sources/ZT2AnalysisThread.cpp sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/ZT2AnalysisThread.h \
		sources/Station.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h \
		sources/PCIIOMgr.h \
		sources/ZTconfigmgr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZT2AnalysisThread.o sources/ZT2AnalysisThread.cpp

ZT2StatsZone.o: sources/GuiElements/ZT2StatsZone.cpp sources/GuiElements/ZT2StatsZone.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZT2StatsZone.o sources/GuiElements/ZT2StatsZone.cpp

TKGenerator.o: sources/TKGenerator.cpp sources/TKGenerator.h \
		sources/Station.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/InputModule.h \
		sources/IOModule.h \
		sources/OutputModule.h \
		sources/MixedModule.h \
		sources/LazerProbesMgr.h \
		sources/LazerProbe.h \
		sources/AbstractLazerProbe.h \
		sources/AbstractLazerProbeMgr.h \
		sources/ZTData.h \
		sources/IOManager.h \
		sources/CDV.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o TKGenerator.o sources/TKGenerator.cpp

LedWidget.o: sources/GuiElements/LedWidget.cpp sources/GuiElements/LedWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o LedWidget.o sources/GuiElements/LedWidget.cpp

RankRulerWidget.o: sources/GuiElements/RankRulerWidget.cpp sources/GuiElements/RankRulerWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o RankRulerWidget.o sources/GuiElements/RankRulerWidget.cpp

EngineeringPage.o: sources/GuiElements/EngineeringPage.cpp sources/GuiElements/EngineeringPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/PasswordPrompt.h \
		sources/GuiElements/ToggleButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o EngineeringPage.o sources/GuiElements/EngineeringPage.cpp

PasswordPrompt.o: sources/GuiElements/PasswordPrompt.cpp sources/GuiElements/PasswordPrompt.h \
		sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o PasswordPrompt.o sources/GuiElements/PasswordPrompt.cpp

EventsRulerWidget.o: sources/GuiElements/EventsRulerWidget.cpp sources/GuiElements/EventsRulerWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o EventsRulerWidget.o sources/GuiElements/EventsRulerWidget.cpp

USBDriveInterface.o: sources/USBDriveInterface.cpp sources/USBDriveInterface.h \
		sources/GlobalDefine.h \
		sources/EngLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o USBDriveInterface.o sources/USBDriveInterface.cpp

MaintenancePage.o: sources/GuiElements/MaintenancePage.cpp sources/GuiElements/MaintenancePage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h \
		sources/GuiElements/ToggleButtonWidget.h \
		sources/GuiElements/ONOFFStatusWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o MaintenancePage.o sources/GuiElements/MaintenancePage.cpp

SimulatorThread.o: sources/Simulator/SimulatorThread.cpp sources/Simulator/SimulatorThread.h \
		sources/Simulator/SimulatorInputModule.h \
		sources/Simulator/SImulatorOutputModule.h \
		sources/Simulator/SimulatorPCIIO.h \
		sources/Simulator/SimulatorLazerProbe.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SimulatorThread.o sources/Simulator/SimulatorThread.cpp

GeneralSettingsPage.o: sources/GuiElements/GeneralSettingsPage.cpp sources/GuiElements/GeneralSettingsPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/PushButton.h \
		sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GeneralSettingsPage.o sources/GuiElements/GeneralSettingsPage.cpp

ONOFFStatusWidget.o: sources/GuiElements/ONOFFStatusWidget.cpp sources/GuiElements/ONOFFStatusWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ONOFFStatusWidget.o sources/GuiElements/ONOFFStatusWidget.cpp

ZTLogViewerPage.o: sources/GuiElements/ZTLogViewerPage.cpp sources/GuiElements/ZTLogViewerPage.h \
		sources/GuiElements/Guipage.h \
		sources/GuiElements/TextButtonWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ZTLogViewerPage.o sources/GuiElements/ZTLogViewerPage.cpp

SwitchCDV.o: sources/SwitchCDV.cpp sources/SwitchCDV.h \
		sources/GlobalDefine.h \
		sources/EngLog.h \
		sources/CDV.h \
		sources/ZTData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SwitchCDV.o sources/SwitchCDV.cpp

SwitchCDVItem.o: sources/GuiElements/SwitchCDVItem.cpp sources/GuiElements/SwitchCDVItem.h \
		sources/GuiElements/CDVItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o SwitchCDVItem.o sources/GuiElements/SwitchCDVItem.cpp

RamMonitor.o: sources/RamMonitor.cpp sources/RamMonitor.h \
		sources/GlobalDefine.h \
		sources/EngLog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o RamMonitor.o sources/RamMonitor.cpp

Externaliomodule.o: sources/ExtModules/Externaliomodule.cpp sources/ExtModules/Externaliomodule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Externaliomodule.o sources/ExtModules/Externaliomodule.cpp

Seaio430driver.o: sources/ExtModules/Seaio430driver.cpp sources/ExtModules/Seaio430driver.h \
		sources/ExtModules/Externaliomodule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Seaio430driver.o sources/ExtModules/Seaio430driver.cpp

Seaio440driver.o: sources/ExtModules/Seaio440driver.cpp sources/ExtModules/Seaio440driver.h \
		sources/ExtModules/Externaliomodule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Seaio440driver.o sources/ExtModules/Seaio440driver.cpp

Seaio470driver.o: sources/ExtModules/Seaio470driver.cpp sources/ExtModules/Seaio470driver.h \
		sources/ExtModules/Externaliomodule.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Seaio470driver.o sources/ExtModules/Seaio470driver.cpp

Seaiolibinterface.o: sources/ExtModules/Seaiolibinterface.cpp sources/ExtModules/Seaiolibinterface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Seaiolibinterface.o sources/ExtModules/Seaiolibinterface.cpp

Comedilibinterface.o: sources/PCIIO/Comedilibinterface.cpp sources/PCIIO/Comedilibinterface.h \
		sources/PCIIO/PCI1756Definitions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Comedilibinterface.o sources/PCIIO/Comedilibinterface.cpp

ExternalIOMgr.o: sources/ExtModules/ExternalIOMgr.cpp sources/ExtModules/ExternalIOMgr.h \
		sources/ExtModules/Seaiolibinterface.h \
		sources/ExtModules/Externaliomodule.h \
		sources/ExtModules/Seaio430driver.h \
		sources/ExtModules/Seaio440driver.h \
		sources/ExtModules/Seaio470driver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ExternalIOMgr.o sources/ExtModules/ExternalIOMgr.cpp

moc_MainPanel.o: moc_MainPanel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_MainPanel.o moc_MainPanel.cpp

moc_Zonetest.o: moc_Zonetest.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_Zonetest.o moc_Zonetest.cpp

moc_Guipage.o: moc_Guipage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_Guipage.o moc_Guipage.cpp

moc_WelcomePage.o: moc_WelcomePage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_WelcomePage.o moc_WelcomePage.cpp

moc_SimpleTextBoxWidget.o: moc_SimpleTextBoxWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SimpleTextBoxWidget.o moc_SimpleTextBoxWidget.cpp

moc_ZTPage.o: moc_ZTPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZTPage.o moc_ZTPage.cpp

moc_LazerProbe.o: moc_LazerProbe.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_LazerProbe.o moc_LazerProbe.cpp

moc_LazerProbesMgr.o: moc_LazerProbesMgr.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_LazerProbesMgr.o moc_LazerProbesMgr.cpp

moc_PushButton.o: moc_PushButton.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_PushButton.o moc_PushButton.cpp

moc_ZTStateMachine.o: moc_ZTStateMachine.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZTStateMachine.o moc_ZTStateMachine.cpp

moc_ZTSimulator.o: moc_ZTSimulator.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZTSimulator.o moc_ZTSimulator.cpp

moc_CDVItem.o: moc_CDVItem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_CDVItem.o moc_CDVItem.cpp

moc_SimulatorLazerProbe.o: moc_SimulatorLazerProbe.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SimulatorLazerProbe.o moc_SimulatorLazerProbe.cpp

moc_ToggleTextButtonWidget.o: moc_ToggleTextButtonWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ToggleTextButtonWidget.o moc_ToggleTextButtonWidget.cpp

moc_TextButtonWidget.o: moc_TextButtonWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TextButtonWidget.o moc_TextButtonWidget.cpp

moc_ZT1AnalysisThread.o: moc_ZT1AnalysisThread.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZT1AnalysisThread.o moc_ZT1AnalysisThread.cpp

moc_StatusBar.o: moc_StatusBar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_StatusBar.o moc_StatusBar.cpp

moc_ZT1EquipmentWidget.o: moc_ZT1EquipmentWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZT1EquipmentWidget.o moc_ZT1EquipmentWidget.cpp

moc_ZT1StatsZone.o: moc_ZT1StatsZone.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZT1StatsZone.o moc_ZT1StatsZone.cpp

moc_SimulationScenario.o: moc_SimulationScenario.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SimulationScenario.o moc_SimulationScenario.cpp

moc_OptionsPage.o: moc_OptionsPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_OptionsPage.o moc_OptionsPage.cpp

moc_FunctionSelectionPage.o: moc_FunctionSelectionPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_FunctionSelectionPage.o moc_FunctionSelectionPage.cpp

moc_ToggleButtonWidget.o: moc_ToggleButtonWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ToggleButtonWidget.o moc_ToggleButtonWidget.cpp

moc_EventsBar.o: moc_EventsBar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_EventsBar.o moc_EventsBar.cpp

moc_EventItem.o: moc_EventItem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_EventItem.o moc_EventItem.cpp

moc_LogsListPage.o: moc_LogsListPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_LogsListPage.o moc_LogsListPage.cpp

moc_LogViewPage.o: moc_LogViewPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_LogViewPage.o moc_LogViewPage.cpp

moc_GraphItem.o: moc_GraphItem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_GraphItem.o moc_GraphItem.cpp

moc_GraphCursorWidget.o: moc_GraphCursorWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_GraphCursorWidget.o moc_GraphCursorWidget.cpp

moc_GraphRulerWidget.o: moc_GraphRulerWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_GraphRulerWidget.o moc_GraphRulerWidget.cpp

moc_AnalogGraphItem.o: moc_AnalogGraphItem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_AnalogGraphItem.o moc_AnalogGraphItem.cpp

moc_ZT2EquipmentWidget.o: moc_ZT2EquipmentWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZT2EquipmentWidget.o moc_ZT2EquipmentWidget.cpp

moc_ZT2AnalysisThread.o: moc_ZT2AnalysisThread.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZT2AnalysisThread.o moc_ZT2AnalysisThread.cpp

moc_ZT2StatsZone.o: moc_ZT2StatsZone.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZT2StatsZone.o moc_ZT2StatsZone.cpp

moc_TKGenerator.o: moc_TKGenerator.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_TKGenerator.o moc_TKGenerator.cpp

moc_LedWidget.o: moc_LedWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_LedWidget.o moc_LedWidget.cpp

moc_RankRulerWidget.o: moc_RankRulerWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_RankRulerWidget.o moc_RankRulerWidget.cpp

moc_EngineeringPage.o: moc_EngineeringPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_EngineeringPage.o moc_EngineeringPage.cpp

moc_PasswordPrompt.o: moc_PasswordPrompt.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_PasswordPrompt.o moc_PasswordPrompt.cpp

moc_EventsRulerWidget.o: moc_EventsRulerWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_EventsRulerWidget.o moc_EventsRulerWidget.cpp

moc_USBDriveInterface.o: moc_USBDriveInterface.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_USBDriveInterface.o moc_USBDriveInterface.cpp

moc_MaintenancePage.o: moc_MaintenancePage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_MaintenancePage.o moc_MaintenancePage.cpp

moc_SimulatorThread.o: moc_SimulatorThread.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SimulatorThread.o moc_SimulatorThread.cpp

moc_GeneralSettingsPage.o: moc_GeneralSettingsPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_GeneralSettingsPage.o moc_GeneralSettingsPage.cpp

moc_ONOFFStatusWidget.o: moc_ONOFFStatusWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ONOFFStatusWidget.o moc_ONOFFStatusWidget.cpp

moc_ZTLogViewerPage.o: moc_ZTLogViewerPage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_ZTLogViewerPage.o moc_ZTLogViewerPage.cpp

moc_SwitchCDVItem.o: moc_SwitchCDVItem.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_SwitchCDVItem.o moc_SwitchCDVItem.cpp

moc_RamMonitor.o: moc_RamMonitor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_RamMonitor.o moc_RamMonitor.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

